package physbeans.func;

import physbeans.math.*;
import java.io.*;

/**
 * Function with n scalar inputs and 1 scalar output, which is the sum of the
 * inputs.
 */
public class SumFunction extends GenericNdFunction implements Serializable {
  
  /** Creates a new instance of SumFunction */
  public SumFunction() {
    super(2, 1);
  }
  
  protected DVector computeFunction(DVector in) {
    double sum = 0.0;
    for (int i = 0; i < in.getDimension(); i++) {
      sum += in.get(i);
    }
    return new DVector(sum);
  }
  
}
