package physbeans.func;

import physbeans.math.*;
import physbeans.func.*;

/**
 * Sums up the n input vectors (all of equal length) and returns the sum vector.
 */
public class SumVectorFunction extends GenericVectorFunction {
  
  /** Creates a default SumVectorFunction */
  public SumVectorFunction() {
    super(2, 1, -1);
  }
  
  /**
   * computes new values for output vector by summing up the input vectors
   */
  protected void compute() {
    if (outputValues[0].getDimension() > 0) {
      outputValues[0] = new DVector(outputValues[0].getDimension());  // auf 0 setzen!
    }
    
    for (int i = 0; i < inputValues.length; i++) {
      outputValues[0].plusEquals(inputValues[i]);
    }
  }
}
