package physbeans.func;

import java.io.*;
import physbeans.math.*;

/**
 * Function that returns an element of a (usually fixed) vector given the index
 * as input.<br>
 * This function can f.i. be used as an interface between a switch element and
 * a scalar input.
 */
public class VectorElementFunction extends Generic1dFunction implements Serializable {
  
  protected DVector v;
  
  /**
   * constructs a standard VectorElementFunction
   */
  public VectorElementFunction() {
    super(1);
    v = new DVector(1.0, 2.0, 3.0, 4.0);
  }
  
  /**
   * computes the next values at time t as a simple sine<br>
   */
  public DVector computeFunction(double t) {
    int index = (int) Math.round(t);  // single parameter
    DVector out = new DVector(1);
    out.set(0,v.get(index));

    return out;
  }
  
  
  
  /**
   * Gets vector of the VectorElementFunction.
   */
  public DVector getVector() {
    return v;
  }
  
  /**
   * Sets vector of the VectorElementFunction.
   */
  public void setVector(DVector v) {
    this.v = v;
    inform();
  }
  
}
