package physbeans.views;

/**
 * JetColorTable runs from dark blue through cyan, green, yellow to dark red.
 * It is similar to MATLAB's jet scale.
 */
public class JetColorTable extends ColorTable {

  protected void defineRGBAValues() {  

    for (int i = 0; i < 32; i++) {
      r[i] = (byte) 0;
      g[i] = (byte) 0;
      b[i] = (byte) (128 + 4*i);
    }

    for (int i = 32; i < 96; i++) {
      r[i] = (byte) 0;
      g[i] = (byte) (4*(i-32));
      b[i] = (byte) 255;
    }

    for (int i = 96; i < 160; i++) {
      r[i] = (byte) (4*(i-96));
      g[i] = (byte) 255;
      b[i] = (byte) (255-4*(i-96));
    }

    for (int i = 160; i < 224; i++) {
      r[i] = (byte) 255;
      g[i] = (byte) (255-4*(i-160));
      b[i] = (byte) 0;
    }

    for (int i = 224; i < 256; i++) {
      r[i] = (byte) (255 - 4*(i-224));
      g[i] = (byte) 0;
      b[i] = (byte) 0;
    }
  }
}
